.container:hover
{
    animation: shakeAnimation 2s infinite linear;
}

.shadow
{
    width: 100%;
    height: 100%;
    box-shadow: 0px 0px 5px black inset;
    transition: box-shadow 0.5s;
}

.shadow:hover
{
    box-shadow: 0px -2px 10px black inset;
}

@keyframes shakeAnimation
{
    45% { transform: translateY(-3px); }
    50% { transform: translateY(3px); }
    55% { transform: translateY(-3px); }
    60% { transform: translateY(3px); }
    65% { transform: translateY(-3px); }
    70% { transform: translateY(3px); }
    75% { transform: translateY(-3px); }
    80% { transform: translateY(3px); }
    85% { transform: translateY(0); }
}